Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class Classification

    java.lang.Object
      cc.mallet.classify.Classification

All Implemented Interfaces:
  java.io.Serializable

    public class Classification

extends java.lang.Object
implements java.io.Serializable

The result of classifying a single instance. Contains the instance, the classifier used, and the labeling the classifier produced. Also has methods for comparing the correct (true) label contained in the target field of the instance with the one produced by the classifier.

See Also:
  Serialized Form

Constructor Summary
`Classification(Instance instance, Classifier classifier, Labeling labeling)`

Method Summary
`boolean` | `bestLabelIsCorrect()`
`Classifier` | `getClassifier()`
`Instance` | `getInstance()`
`Labeling` | `getLabeling()`
`LabelVector` | `getLabelVector()`
`void` | `print()`
`void` | `print(java.io.PrintWriter pw)`
`void` | `printRank(java.io.PrintWriter pw)`
`Instance` | `toInstance()`
`double` | `valueOfCorrectLabel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Classification

    public Classification(Instance instance,
                          Classifier classifier,
                          Labeling labeling)

Method Detail

### getInstance

    public Instance getInstance()

### getClassifier

    public Classifier getClassifier()

### getLabeling

    public Labeling getLabeling()

### getLabelVector

    public LabelVector getLabelVector()

### bestLabelIsCorrect

    public boolean bestLabelIsCorrect()

### valueOfCorrectLabel

    public double valueOfCorrectLabel()

### print

    public void print()

### print

    public void print(java.io.PrintWriter pw)
               throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### printRank

    public void printRank(java.io.PrintWriter pw)
                   throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### toInstance

    public Instance toInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD